summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorqun wan <qun.wan@intel.com>2017-06-04 19:13:19 -0400
committerqun wan <qun.wan@intel.com>2017-06-04 19:13:19 -0400
commitb8e49143ecf7405180bcd9b14511acfa78e285dd (patch)
treeb1475f8538d086693b19be593d286729fcfc2322
parentc377777a329df139dd98ac39563b3b62b3aee89a (diff)
Patches for the nsh_sfc functional case scheduling for ci.
Change-Id: I5f3189cc9c74437149988196f77b39a2522491e0 Signed-off-by: qun wan <qun.wan@intel.com>
-rw-r--r--jjb/nsh_sfc/include-raw-csit-nsh_sfc-functional-virl.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/jjb/nsh_sfc/include-raw-csit-nsh_sfc-functional-virl.sh b/jjb/nsh_sfc/include-raw-csit-nsh_sfc-functional-virl.sh
index 1e87172dc..87dd9b8ca 100644
--- a/jjb/nsh_sfc/include-raw-csit-nsh_sfc-functional-virl.sh
+++ b/jjb/nsh_sfc/include-raw-csit-nsh_sfc-functional-virl.sh
@@ -1,4 +1,16 @@
#!/bin/bash
+set -xeu -o pipefail
+
+# Clone csit and start tests
+git clone https://gerrit.fd.io/r/csit
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+ echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
+exit
+fi
+
+cd csit
# execute nsh_sfc bootstrap script if it exists
if [ -e bootstrap-nsh_sfc-functional-virl.sh ]